﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_treeview_select_subtree
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Expand the nodes and select the first node.
        private void Form1_Load(object sender, EventArgs e)
        {
            trvMeals.ExpandAll();
            trvMeals.SelectedNode = trvMeals.Nodes[0];
        }

        // Check or uncheck all nodes in this node's subtree.
        private void trvMeals_AfterCheck(object sender, TreeViewEventArgs e)
        {
            TreeNode node = e.Node;
            bool is_checked = node.Checked;
            foreach (TreeNode child in node.Nodes)
                child.Checked = is_checked;
            trvMeals.SelectedNode = node;
        }
    }
}
